Udon is under active development. Documentation not final.
udonudon
Network

Set IPv4 configuration

Switch a network service to DHCP or set a manual IPv4 address. Requires the **admin** role and Admin Privileges.

POST
/api/system/network/services/{service}/ipv4

Authorization

udon_session<token>

In: cookie

Path Parameters

service*string

The network service name (URL-encoded).

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/system/network/services/string/ipv4" \  -H "Content-Type: application/json" \  -d '{    "mode": "dhcp"  }'
{  "services": [    {      "name": "string",      "hardwarePort": "string",      "device": "string",      "enabled": true,      "dhcp": true,      "ipv4": "string",      "subnetMask": "string",      "router": "string",      "dnsServers": [        "string"      ]    }  ]}

Ask AI

Answers from Udon's documentation.

Ask how to install Udon, run containers, or share folders.